# Some aliases

# v is shorter
alias v="$EDITOR"

# htop is better
alias top="htop"

# Vim like alias
alias :q="exit"

# Avoid typos
alias ake="make"

# cake is way more stylish than cmake
alias cake="cmake"

# My pdf reader
alias pdf="evince"

# Auto color on pacman
command -v pacman > /dev/null 2>&1
if [ $? -eq 0 ]; then
    alias pacman='pacman --color=auto'
fi

# clean for cmake files
alias cclean='rm -rf `find . -name "CMakeCache.txt"` `find . -name "cmake_install.cmake"` `find . -name "CMakeFiles"` `find . -name "Makefile"`'

# Some games
alias war3="optirun wine /home/thomas/.wine/drive_c/Program\ Files/Warcraft/War3.exe -opengl"
alias nox="cd /home/thomas/.wine/drive_c/Westwood/Nox/; optirun wine Game.exe; cd -1"

# Start jekyll server easily
alias jekyll="bundle exec jekyll serve"

# Some cd aliases
alias cd..="cd .."
alias cd...="cd ../.."
alias cd....="cd ../../.."

# Alias for ls
command -v exa > /dev/null 2>&1

if [ $? -eq 0 ]; then
    LS_COLORS=""
    alias ls="exa -h --group-directories-first"
    alias lt="ls -lT"
else
    alias ls="ls -h --color --group-directories-first"
fi
alias l="ls"
alias sl="ls"
alias lsd="ls"

# Jump
alias j="jump"

# Disable bat paging
alias bat="bat --paging=never"

# Initialize thefuck
command -v thefuck > /dev/null 2>&1

# fuck aliases
if [ $? -eq 0 ]; then
    eval $(thefuck --alias)
fi

